centos安装composer以及使用国内镜像

独立安装Composer教程

composer.json 声明PHP依赖的第三方扩展的文件

加载该文件需要安装composer, composer是PHP的一个类库依赖管理机制, 类似Ruby 的 Gem 运行composer需要 php 5.3以上版本, 并且确定PHP CURL 扩展可用

为了获取Composer,我们需要做两件事。第一个是安装Composer(前面说过了,这意味下载它到你的项目中):

  1. $ curl -sS https://getcomposer.org/installer | php

将composer设为全局 则只需安装一份composer 设为全局后也无需 php composer.phar 来执行 可直接 composer install 来安装包

  1. $ sudo mv composer.phar /usr/local/bin/composer

这会检查一些PHP设置,然后下载composer.phar到你的工作目录中。 这个文件是Composer二进制文件。它是一个PHAR (PHP archive),PHP的归档格式,也可以像其他命令一样在命令行上运行。

如果要使用composer 安装 composer.json 中包含的内容 命令如下

  1. $ php composer.phar install OR $ composer install

更新依赖库文件使用:

  1. $ php composer.phar update OR $ composer update


评论 0

发表评论

Top